heap 0
entry start
include '..\..\common\fasmw\win32a.inc' ; x for invoke createfilea...
section '.code' import code data readable writeable executable

  library kernel, 'KERNEL32.DLL', user, 'USER32.DLL'
  import  kernel, kSleep, 'Sleep', kExitProcess, 'ExitProcess'
  import  user,   uSendMessageA, 'SendMessageA'

start:
  push dword 2500
  call dword [kSleep]
  push dword	 1 ;MONITOR_STANDBY
  push dword $F170 ;SC_MONITORPOWER
  push dword  $112 ;WM_SYSCOMMAND
  push dword	-1 ;HWND_BROADCAST
  call dword [uSendMessageA]
  push eax
  call dword [kExitProcess]
  ret $C
